Get one pattern
One pattern in the window with its volume series. 404 when it has no records in the window.
curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"pattern_id": "v1:892ea82429dfa0bf975caecb03a9e5ea",
"template": "order <num> placed for user 42",
"count": 10,
"errors": 42,
"first_seen": "2024-12-25T10:00:00Z",
"last_seen": "2024-12-25T10:00:00Z",
"service": "example_string",
"level": "example_string",
"services": 42,
"sample": {
"uuid": "example_string",
"body": "example_string"
},
"bucket_seconds": 42,
"series": [
{
"bucket": "2024-12-25T10:00:00Z",
"total": 42,
"trace": 42,
"debug": 42,
"info": 42,
"warn": 42,
"error": 42,
"fatal": 42
}
]
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/client/v1/logs/patterns/{id}Target server for requests. Edit to use your own host.
Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.
ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.
Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.
Window end, exclusive. Default now.
Preset window ending at to. Ignored when from is set. At most 30 days.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.
Path Parameters
v1:892ea82429dfa0bf975caecb03a9e5eaQuery Parameters
Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.
Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.
2026-10-18T10:00:00ZWindow end, exclusive. Default now.
Preset window ending at to. Ignored when from is set. At most 30 days.
15m1h6h24h7d30d